# WaitlistDestinationMembers

> Page through a destination's members by sync state. Read access, waitlists toolset, MCP tool get_waitlist_destination_members.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `after` | `Cursor` | no | Opaque cursor from `pageInfo.endCursor` |  |
| `destinationId` | `UUID!` | yes |  | Equal to the specified value. |
| `first` | `Int!` | yes | 32-bit integer. MCP tools send `50` when it is left out |  |
| `states` | `[WaitlistMemberState!]` | no | One of `FAILED`, `PENDING`, `SKIPPED`, `STALE`, `SUBMITTED`, `SYNCED`, `UNSUBSCRIBED` | Included in the specified list. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationMembers","variables":{"destinationId":"00000000-0000-0000-0000-000000000000","first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"548ce9a7ad5a978920f37e05fbcfbfe79b9e8010ca09c6dba7bb9b3258c255f7"}}}'
```

## Document

```graphql
query WaitlistDestinationMembers($after: Cursor, $destinationId: UUID!, $first: Int!, $states: [WaitlistMemberState!]) { __typename allWaitlistDestinationMembers( filter: {destinationId: {equalTo: $destinationId}, state: {in: $states}} orderBy: UPDATED_AT_DESC first: $first after: $after ) { __typename nodes { __typename attempts id reasonCode review reviewSince rowId state updatedAt waitlistSignupBySignupId { __typename email id } } pageInfo { __typename endCursor hasNextPage } totalCount } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destination-members
